<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<groupId>fr.xephi</groupId>
	<artifactId>AuthMe</artifactId>
	<version>6.0</version>
	<packaging>jar</packaging>

	<name>AuthMe</name>
	<description>Authentication plugin for CraftBukkit/Spigot!</description>
	<inceptionYear>2013</inceptionYear>
	<url>http://dev.bukkit.org/bukkit-plugins/authme-reloaded/</url>
	<!-- See also: https://www.spigotmc.org/resources/authme-reloaded.6269/ -->

	<organization>
		<name>AuthMe-Team</name>
		<url>https://github.com/AuthMe-Team</url>
	</organization>

	<scm>
		<connection>scm:git:https://github.com/Xephi/AuthMeReloaded.git</connection>
		<developerConnection>scm:git:git@github.com:Xephi/AuthMeReloaded.git</developerConnection>
		<url>http://github.com/Xephi/AuthMeReloaded</url>
	</scm>

	<!-- Official Build Server -->
	<ciManagement>
		<system>jenkins</system>
		<url>http://ci.xephi.fr/job/AuthMeReloaded/</url>
	</ciManagement>

	<issueManagement>
		<system>GitHub</system>
		<url>https://github.com/Xephi/AuthMeReloaded/issues</url>
	</issueManagement>

	<licenses>
		<license>
			<name>The GNU General Public Licence version 3 (GPLv3)</name>
			<url>http://www.gnu.org/licenses/gpl-3.0.html</url>
		</license>
	</licenses>

	<properties>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<!-- Change Compiler Version (JDK) HERE! -->
		<javaVersion>1.7</javaVersion>
		<!-- Change MC Version HERE! -->
		<jenkins.url>http://ci.citycraft.cn:8080</jenkins.url>
		<update.description>测试版本发布...</update.description>
		<bukkitVersion>1.8.8-R0.1-SNAPSHOT</bukkitVersion>
	</properties>

	<build>
		<finalName>${project.name}</finalName>
		<resources>
			<resource>
				<targetPath>.</targetPath>
				<filtering>true</filtering>
				<directory>src/main/resources/</directory>
				<includes>
					<include>*.yml</include>
				</includes>
			</resource>
			<resource>
				<targetPath>./messages/</targetPath>
				<filtering>false</filtering>
				<directory>src/main/resources/messages/</directory>
				<includes>
					<include>*.yml</include>
				</includes>
			</resource>
		</resources>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>3.3</version>
				<configuration>
					<source>1.7</source>
					<target>${javaVersion}</target>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-shade-plugin</artifactId>
				<version>2.3</version>
				<configuration>
					<createDependencyReducedPom>false</createDependencyReducedPom>
					<minimizeJar>true</minimizeJar>
					<artifactSet>
						<includes>
							<include>com.zaxxer:HikariCP</include>
							<include>org.slf4j:slf4j-jdk14</include>
							<include>org.slf4j:slf4j-api</include>
							<include>com.maxmind.geoip:geoip-api</include>
							<include>com.google.code.gson:gson</include>
							<include>cn.citycraft:PluginHelper</include>
						</includes>
					</artifactSet>
					<relocations>
						<relocation>
							<pattern>cn.citycraft.PluginHelper</pattern>
							<shadedPattern>${project.groupId}.${project.artifactId}</shadedPattern>
						</relocation>
					</relocations>
				</configuration>
				<executions>
					<execution>
						<phase>package</phase>
						<goals>
							<goal>shade</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
		</plugins>
	</build>

	<repositories>
		<!-- SpigotMC Repo (Bukkit and SpigotAPI) -->
		<repository>
			<id>spigot-repo</id>
			<url>http://hub.spigotmc.org/nexus/content/groups/public</url>
		</repository>
		<repository>
			<id>citycraft-repo</id>
			<url>${jenkins.url}/plugin/repository/everything/</url>
		</repository>
	</repositories>

	<dependencies>
		<dependency>
			<groupId>org.spigotmc</groupId>
			<artifactId>spigot-api</artifactId>
			<type>jar</type>
			<version>1.8.8-R0.1-SNAPSHOT</version>
		</dependency>
		<dependency>
			<groupId>cn.citycraft</groupId>
			<artifactId>PluginHelper</artifactId>
			<type>jar</type>
			<version>1.0</version>
		</dependency>
		<dependency>
			<groupId>net.milkbowl.vault</groupId>
			<artifactId>VaultAPI</artifactId>
			<version>1.5</version>
			<scope>system</scope>
			<systemPath>${project.basedir}/lib/Vault.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>com.earth2me</groupId>
			<artifactId>essentials</artifactId>
			<version>2.9.6</version>
			<scope>system</scope>
			<systemPath>${project.basedir}/lib/Essentials.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>com.zaxxer</groupId>
			<artifactId>HikariCP</artifactId>
			<version>2.4.1</version>
			<scope>compile</scope>
			<optional>true</optional>
		</dependency>
		<dependency>
			<groupId>com.maxmind.geoip</groupId>
			<artifactId>geoip-api</artifactId>
			<version>1.2.15</version>
			<scope>compile</scope>
			<optional>true</optional>
		</dependency>
		<!-- Log4J Logger (for the filter) -->
		<dependency>
			<groupId>org.apache.logging.log4j</groupId>
			<artifactId>log4j-core</artifactId>
			<version>2.0-beta9</version>
			<scope>provided</scope>
			<optional>true</optional>
		</dependency>
		<dependency>
			<groupId>com.comphenix.protocol</groupId>
			<artifactId>ProtocolLib</artifactId>
			<version>3.6.5-SNAPSHOT</version>
			<scope>system</scope>
			<systemPath>${project.basedir}/lib/ProtocolLib-3.6.5-SNAPSHOT.jar</systemPath>
		</dependency>
	</dependencies>
</project>
